{
  "branches": ["main"],
  "plugins": [
    [
        "@semantic-release/commit-analyzer", {
      "preset": "conventionalcommits",
      "releaseRules": [
        {"breaking": true, "release": "major"},
        {"revert": true, "release": "patch"},
        {"type": "feat", "release": "minor"},
        {"type": "fix", "release": "patch"},
        {"type": "perf", "release": "patch"},
        {"type": "refactor", "release": "patch"},
        {"type": "build", "release": "patch"},
        {"type": "ci", "release": "patch"}
      ]
    }
    ],
      "@semantic-release/release-notes-generator",
      "@semantic-release/changelog",
      "@semantic-release/npm",
      "@semantic-release/gitlab",
    ["@semantic-release/git", {
      "message": "ci(release): ${nextRelease.version} \n\n${nextRelease.notes}"
    }]
  ]
}
